%define api_version	0.9
%define lib_major	9
%define lib_name	%mklibname wpd %{api_version} %{lib_major}
%define develname	%mklibname -d wpd 

Summary:	Library for reading/writing WordPerfect files
Name:		libwpd
Version:	0.9.6
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libwpd.sourceforge.net/
Source:		http://downloads.sourceforge.net/%{name}/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	glib2-devel
BuildRequires:	libgsl-devel
BuildRequires:	libgsf-devel
BuildRequires:	doxygen

%description
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{name}-tools
Summary:	Tools to transform Wordperfect files to html or text
Group:		Office/Word processor
Obsoletes:	%{name}0.8-tools

%description -n %{name}-tools
Tools to transform Wordperfect files to html or text.
It supports fileimport of all versions of WordPerfect.

%package -n	%{lib_name}
Summary:	Library for reading/writing WordPerfect files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{develname}
Summary:	Headers and development files for libwpd
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes:	libwpd0-devel
Obsoletes:	%{_lib}wpd0.8-devel

%description -n	%{develname}
Headers and development files for libwpd.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %buildroot%{_libdir}/*.la

%files -n %{name}-tools
%{_bindir}/*

%files -n %{lib_name}
%{_libdir}/libwpd-%{api_version}*.so.*
%{_libdir}/libwpd-stream-%{api_version}*.so.*
%doc COPYING INSTALL README TODO

%files -n %{develname}
%{_libdir}/pkgconfig/libwpd-%{api_version}.pc
%{_libdir}/pkgconfig/libwpd-stream-%{api_version}.pc
%{_libdir}/libwpd-%{api_version}*.so
%{_libdir}/libwpd-stream-%{api_version}*.so
%{_includedir}/libwpd-%{api_version}
%doc %_docdir/libwpd/*.png
%doc %_docdir/libwpd/html/*.html
%doc %_docdir/libwpd/html/*.png
%doc %_docdir/libwpd/html/*.css
%doc %_docdir/libwpd/libwpd.dia


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.6-3.mga3
+ Revision: 358475
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.9.6-2.mga3
+ Revision: 323463
- clean spec
- fix rpm group

* Sat Sep 29 2012 fwang <fwang> 0.9.6-1.mga3
+ Revision: 299980
- new version 0.9.6

* Tue Dec 06 2011 fwang <fwang> 0.9.4-1.mga2
+ Revision: 177292
- disable static
- new version 0.9.4

* Mon Jul 18 2011 fwang <fwang> 0.9.2-1.mga2
+ Revision: 125624
- new version 0.9.2

* Sun Jan 23 2011 dmorgan <dmorgan> 0.9.0-1.mga1
+ Revision: 33509
- Remove mdv macros
- Update to version 0.9 ( is needed by libreoffice )
- imported package libwpd

